/* $Id: bac_load.h,v 1.15 2002/12/20 12:13:25 oohara Exp $ */

#ifndef __BAC_LOAD_H__
#define __BAC_LOAD_H__

#include "bac_array.h"

/* for flag in bac_load */
/* don't delete an entry in the database even if it is below nth
 * (it does not get into the returned array unless BAC_LOAD_FLAG_LOAD_ALL is
 * also specified)
 */
#define BAC_LOAD_FLAG_NO_DELETE 1
/* load all entries in the database (n is ignored as long as it is positive)
 * they may still be deleted from the database after read
 * --- use BAC_LOAD_FLAG_NO_DELETE too if you don't like this
 */
#define BAC_LOAD_FLAG_LOAD_ALL 2
/* don't sort entries
 * implies BAC_LOAD_FLAG_NO_DELETE and BAC_LOAD_FLAG_LOAD_ALL
 */
#define BAC_LOAD_FLAG_NO_SORT (4 | BAC_LOAD_FLAG_NO_DELETE | BAC_LOAD_FLAG_LOAD_ALL)

bac_array *bac_load(const char *dir, const char *file, int n, int flag,
                    int mode, int *no_entry);

#endif /* not __BAC_LOAD_H__ */
